#include <QApplication>
#include <QTranslator>
#include <QLibraryInfo>
#include <QLocale>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QApplication::setOrganizationName("Stephane List");
    QApplication::setApplicationName("cercle");

    QTranslator qtTranslator;
    if (qtTranslator.load("qt_" + QLocale::system().name(), QLibraryInfo::location(QLibraryInfo::TranslationsPath)))
        app.installTranslator(&qtTranslator);
    else
        qDebug("Failed to load a translation for QT in your local language");

    QTranslator myTranslator;
    if (myTranslator.load("cercle_" + QLocale::system().name(), QCoreApplication::applicationDirPath()))
        app.installTranslator(&myTranslator);
    else
        qDebug("Failed to load a translation for the application");


    // the translator must be created before the application's widgets.


    MainWindow w;
    w.show();
    return app.exec();
}
